[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH] maint: update to latest gnulib



Since we're about to freeze, it's time to pick up the latest
upstream gnulib.  Among other changes, gnulib now guarantees the
use of some -f flags that we were previously manually adding.

* .gnulib: Update to latest, in part for warning improvements.
* m4/virt-compile-warnings.m4 (LIBVIRT_COMPILE_WARNINGS): Drop
flags that are now guaranteed by gnulib.
* bootstrap: Resync to gnulib.

Signed-off-by: Eric Blake <eblake redhat com>
---

Pushing under my gnulib maintenance rule.

* .gnulib 0ba0877...4a5ee89 (31):
  > manywarnings: enable nicer gcc warning messages
  > timespec: use the new TIMESPEC_RESOLUTION in a few more places
  > warnings: port --enable-gcc-warnings to Solaris Studio 12.3
  > configmake: support new --runstatedir option
  > ctype, string: depend on extern-inline
  > userspec: support optional parameters to parse_user_spec()
  > timespec: new function make_timespec, and new constants
  > stdio: OS X port of putc_unlocked + extern inline
  > signal: OS X port of sigaddset etc. + extern inline
  > extern-inline: do not always suppress extern inline on OS X
  > extern-inline: document fixes for ctype and wctype macros
  > fflush, freadahead, fseeko: Fix for Android
  > pmccabe2html: fix portability issues
  > getgroups: statement without effect
  > autoupdate
  > update from texinfo
  > update from texinfo
  > glob: fix compilation
  > glob: fix build for platforms without __THROW
  > autoupdate
  > regex-quote: fix buffer access out of bounds
  > glob: avoid -Wattribute warnings on glibc
  > headers: check that _GL_INLINE_HEADER_BEGIN is defined
  > bootstrap: remove the --version requirement from ancillary tools
  > gc: support HMAC-SHA256 and HMAC-SHA512.
  > gettext: update to version 0.18.3.1
  > selinux-at: omit unnecessary include
  > autoupdate
  > d-ino: avoid false negative on symlink
  > update from texinfo
  > autoupdate

 .gnulib                     |  2 +-
 bootstrap                   | 19 +++++++++++--------
 m4/virt-compile-warnings.m4 |  2 --
 3 files changed, 12 insertions(+), 11 deletions(-)

diff --git a/.gnulib b/.gnulib
index 0ba0877..4a5ee89 160000
--- a/.gnulib
+++ b/.gnulib
@@ -1 +1 @@
-Subproject commit 0ba087759d2797c8f7d3c34bef6268ba3fd212cb
+Subproject commit 4a5ee89c8a8be7350a8fd8ca1bacb196a190e492
diff --git a/bootstrap b/bootstrap
index cc7fc1b..e31d17d 100755
--- a/bootstrap
+++ b/bootstrap
@@ -209,12 +209,16 @@ bootstrap_sync=false
 # Use git to update gnulib sources
 use_git=true

+check_exists() {
+  ($1 --version </dev/null) >/dev/null 2>&1
+  test $? -lt 126
+}
+
 # find_tool ENVVAR NAMES...
 # -------------------------
 # Search for a required program.  Use the value of ENVVAR, if set,
-# otherwise find the first of the NAMES that can be run (i.e.,
-# supports --version).  If found, set ENVVAR to the program name,
-# die otherwise.
+# otherwise find the first of the NAMES that can be run.
+# If found, set ENVVAR to the program name, die otherwise.
 #
 # FIXME: code duplication, see also gnu-web-doc-update.
 find_tool ()
@@ -225,7 +229,7 @@ find_tool ()
   eval "find_tool_res=\$$find_tool_envvar"
   if test x"$find_tool_res" = x; then
     for i; do
-      if ($i --version </dev/null) >/dev/null 2>&1; then
+      if check_exists $i; then
         find_tool_res=$i
         break
       fi
@@ -463,8 +467,7 @@ check_versions() {
     if [ "$req_ver" = "-" ]; then
       # Merely require app to exist; not all prereq apps are well-behaved
       # so we have to rely on $? rather than get_version.
-      $app --version >/dev/null 2>&1 </dev/null
-      if [ 126 -le $? ]; then
+      if ! check_exists $app; then
         warn_ "Error: '$app' not found"
         ret=1
       fi
@@ -551,10 +554,10 @@ fi
 echo "$0: Bootstrapping from checked-out $package sources..."

 # See if we can use gnulib's git-merge-changelog merge driver.
-if $use_git && test -d .git && (git --version) >/dev/null 2>/dev/null ; then
+if $use_git && test -d .git && check_exists git; then
   if git config merge.merge-changelog.driver >/dev/null ; then
     :
-  elif (git-merge-changelog --version) >/dev/null 2>/dev/null ; then
+  elif check_exists git-merge-changelog; then
     echo "$0: initializing git-merge-changelog driver"
     git config merge.merge-changelog.name 'GNU-style ChangeLog merge driver'
     git config merge.merge-changelog.driver 'git-merge-changelog %O %A %B'
diff --git a/m4/virt-compile-warnings.m4 b/m4/virt-compile-warnings.m4
index 938c8bb..8f905cc 100644
--- a/m4/virt-compile-warnings.m4
+++ b/m4/virt-compile-warnings.m4
@@ -187,8 +187,6 @@ AC_DEFUN([LIBVIRT_COMPILE_WARNINGS],[
     esac
     wantwarn="$wantwarn -fexceptions"
     wantwarn="$wantwarn -fasynchronous-unwind-tables"
-    wantwarn="$wantwarn -fdiagnostics-show-option"
-    wantwarn="$wantwarn -funit-at-a-time"

     # Need -fipa-pure-const in order to make -Wsuggest-attribute=pure
     # fire even without -O.
-- 
1.8.3.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]